import axios from "../../utils/request";


export function getDeviceInspectOrderList(params) {
  return axios({
    url: "/udiwms/inv/device/inspect/order/filter",
    method: "get",
    params: params
  });
}

export function saveDeviceInspectOrder(data, formName) {
  return axios({
    url: formName === "add" ? "/udiwms/inv/device/inspect/order/add" : "/udiwms/inv/device/inspect/order/update",
    method: "post",
    data: data
  });
}

export function submitAudit(data) {
  return axios({
    url: "/udiwms/inv/device/inspect/order/submitAudit",
    method: "post",
    data: data
  });
}


export function updateStatus(data) {
  return axios({
    url: "/udiwms/inv/device/inspect/order/updateStatus",
    method: "post",
    data: data
  });
}


export function deleteDeviceInspectOrder(data) {
  return axios({
    url: "/udiwms/inv/device/inspect/order/delete",
    method: "post",
    data: data
  });
}



